JNB
rss

skin by 이글루스

JAVA & JSP

Eclipse 3.4에서 오디날(ordinal) 3873을 DLL LIBEAY32.dll을 못찾는 에러 10.12.15 9:25

새로운 eclipse 버전 3.4 (Ganymede)를 사용하다 이상한 에러를 만났다.

사용자 삽입 이미지


환경은 JDK 1.5와 eclipse 3.4에서 아래와 같은 에러가 발생한다.
구글깅 결과 jdk 1.6으로 업그레이드하면 해결된다고 했는데 1.5에서는 신통한 방법이 없는 듯 했으나...

해결방법을 찾았다.

원인
Subversive 플러그인을 설치했을 경우 Connector의 버전이 두 개 설치되어서 이런 에러가 발생한다.

해결방법
eclipse에서 "Help > Software Updates..."를 선택하면 Installed Software에서 설치된 플러그인들의 목록이 출력된다. 여기에서 "Native JavaHL 1.x.x Implementation"을 찾아 둘 중 하나를 uninstall 한다.

사용자 삽입 이미지

eclipse가 시키는데로 uninstall 하고 다시 시작하면 에러가 사라질 것이다.

뭐 사실 정확한 원인파악은 안되었지만 해결이 되었으니.. 이번에는 그냥 넘어가야겠다. -.-;;

        

    
Copyright 1999-2018 Zeroboard / skin by JY